{ config, pkgs, ... }:
{
  imports = [
      # ./t2.nix
      # "${builtins.fetchGit { url = "https://github.com/kekrby/nixos-hardware.git"; }}/apple/t2"
      ./hardware-configuration.nix
      ../common.nix
  ];

  # boot.supportedFilesystems = pkgs.lib.mkForce [ "ext4" "btrfs" "squashfs" ];
  # networking.wireless.enable = pkgs.lib.mkForce false;

  # services.xserver.displayManager.autoLogin.user = pkgs.lib.mkForce "jade";
  # users.users.jade = pkgs.lib.mkForce {
  #   isNormalUser = true;
  #   extraGroups = [ "wheel" "input" "uinput" "libvirtd" ];
  #   packages = with pkgs; [
  #   ];
  # };

  jade = {
    desktop.enable = true;
    desktop.compositing = true;
    terminal.enable = true;
  };

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.networkmanager.enable = true;

  networking.hostName = "potatobook-g";


  services.xserver = {
    resolutions = [ { x = 1920; y = 1200; } ];
    # dpi = 180;
    layout = "us";
    xkbVariant = "altgr-intl";
    libinput = {
      enable = true;
    };
  };

  services.autorandr = {
    enable = true;
    profiles = {
      "default" = {
        config = {
	  "eDP-1" = {
	    enable = true;
	    mode = "1920x1200";
	  };
	};
      };
    };
  };

  # environment.variables = {
  #   GDK_SCALE = "2";
  #   GDK_DPI_SCALE = "0.5";
  #   _JAVA_OPTIONS = "-Dsun.java2d.uiScale=2";
  # };

  hardware.bluetooth.enable = true;
  hardware.keyboard.uhk.enable = true;


  # missing: menu-qalc picom-jonaburg
  environment.systemPackages = with pkgs; [
    # TODO: clean up.
  ];

  environment.pathsToLink = [
    "/share/nix-direnv"
  ];

  services.blueman.enable = true;

  services.gnome.gnome-keyring.enable = true;
  programs.seahorse.enable = true;
  security.pam.services.jade.enableGnomeKeyring = true;

  # Copy the NixOS configuration file and link it from the resulting system
  # (/run/current-system/configuration.nix). This is useful in case you
  # accidentally delete configuration.nix.
  # system.copySystemConfiguration = true;

  # networking.firewall.allowedTCPPorts = [ 4713 ];
  systemd.services."NetworkManager-wait-online".enable = false;

  # i rly should put that important big comment back here
  system.stateVersion = "22.11"; # Did you read the comment?
}

