{ stdenv, lib, fetchFromGitHub, kernel, kmod }:

stdenv.mkDerivation rec {
  name = "apple-bce-${version}-${kernel.version}";
  gitCommit = "f93c6566f98b3c95677de8010f7445fa19f75091";
  version = "${gitCommit}";

  src = fetchFromGitHub {
    owner = "t2linux";
    repo = "apple-bce-drv";
    rev = "${gitCommit}";
    sha256 = "sha256-5jvfDSa7tHp6z+E+RKIalNiLpsku1RNnKoJV2Ps8288=";
  };

  hardeningDisable = [ "pic" "format" ];
  nativeBuildInputs = kernel.moduleBuildDependencies;

  makeFlags = [
    "KERNELRELEASE=${kernel.modDirVersion}"
    "KDIR=${kernel.dev}/lib/modules/${kernel.modDirVersion}/build"
    "INSTALL_MOD_PATH=$(out)"
  ];
}
