{ stdenv, lib, fetchFromGitHub, kernel, kmod }:

stdenv.mkDerivation rec {
  name = "apple-ib-drv-${version}-${kernel.version}";
  gitCommit = "d8411ad1d87db8491e53887e36c3d37f445203eb";
  version = "${gitCommit}";

  src = fetchFromGitHub {
    owner = "t2linux";
    repo = "apple-ib-drv";
    rev = "${gitCommit}";
    sha256 = "sha256-mPx9Y4488pcxnJ5iyeNRuWvnyluHXmOOBnRNw+GAC2k=";
  };

  hardeningDisable = [ "pic" "format" ];
  nativeBuildInputs = kernel.moduleBuildDependencies;

  makeFlags = [
    "KERNELRELEASE=${kernel.modDirVersion}"
    "KDIR=${kernel.dev}/lib/modules/${kernel.modDirVersion}/build"
    "INSTALL_MOD_PATH=$(out)"
  ];
}
